Bug 250140 - devel/gitaly fails to build due to failed hash check on codahale-hdrhistogram dependency.
Summary: devel/gitaly fails to build due to failed hash check on codahale-hdrhistogram...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Matthias Fechner
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-10-05 12:50 UTC by hakan
Modified: 2020-10-07 18:35 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (mfechner)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description hakan 2020-10-05 12:50:22 UTC
While trying to build the new version, it fails for me with:

```
===>  Giving up on fetching files:  codahale-hdrhistogram-3a0bb77429bd_GH0.tar.gz
Make sure the Makefile and distinfo file (/usr/ports/devel/gitaly/distinfo)
are up to date.  If you are absolutely sure you want to override this
check, type "make NO_CHECKSUM=yes [other args]".
*** Error code 1
```

Trying to build it with checksums disabled results in:

```
mv: rename /usr/ports/devel/gitaly/work/hdrhistogram-3a0bb77429bd to /usr/ports/devel/gitaly/work/gitaly-60a08d8121b1019ee7868a9d8e22e6f3d98233ad-60a08d8121b1019ee7868a9d8e22e6f3d98233ad/vendor/github.com/codahale/hdrhistogram: No such file or directory
*** Error code 1

Stop.
make: stopped in /usr/ports/devel/gitaly
```

They moved to a new Github organization, and I guess that therefore the old URL is causing problems: https://github.com/HdrHistogram/hdrhistogram-go/issues/32
Comment 1 commit-hook freebsd_committer 2020-10-06 06:30:02 UTC
A commit references this bug:

Author: mfechner
Date: Tue Oct  6 06:29:07 UTC 2020
New revision: 551560
URL: https://svnweb.freebsd.org/changeset/ports/551560

Log:
  Update location for depedency codahale:hdrhistogram.
  The source was moved from:
  https://github.com/codahale/hdrhistogram
  to
  https://github.com/HdrHistogram/hdrhistogram-go

  PR:		250140
  Reported by:	hakan@siktas.com

Changes:
  head/devel/gitaly/Makefile
  head/devel/gitaly/distinfo
Comment 2 Matthias Fechner freebsd_committer 2020-10-06 06:33:36 UTC
Thanks for reporting.
Comment 3 gergely.czuczy 2020-10-07 07:27:09 UTC
devel/gitlab-shell also depends on hdrhistogram:
GH_TUPLE=       \
                DataDog:dd-trace-go:v1.7.0:datadog_dd_trace_go/vendor/gopkg.in/DataDog/dd-trace-go.v1 \
                client9:reopen:v1.0.0:client9_reopen/vendor/github.com/client9/reopen \
                codahale:hdrhistogram:3a0bb77429bd:codahale_hdrhistogram/vendor/github.com/codahale/hdrhistogram \


And it's still looking at the old place
Comment 4 Matthias Fechner freebsd_committer 2020-10-07 07:38:15 UTC
What version are you using?
Make sure you use 13.4.2_1, you maybe have to switch from quarterly to head branch for ports.
Comment 5 gergely.czuczy 2020-10-07 07:40:36 UTC
I'm on head, and just ran portsnap fetch update.


Here's the file:
https://svnweb.freebsd.org/ports/head/devel/gitlab-shell/Makefile?view=markup#l38
It references the old place. Could you please explain how checking it out again will fix it?
Comment 6 Matthias Fechner freebsd_committer 2020-10-07 09:09:47 UTC
(In reply to gergely.czuczy from comment #5)
now you talk about another port and not about devel/gitaly

I will have there a look too.
Comment 7 gergely.czuczy 2020-10-07 09:13:18 UTC
Yes, that's why the first token of my comment was "devel/gitlab-shell", but it must be me. I've noticed that you're the maintainer of that as well, and this change might affect the complete gitlab suite (with all of its ports), not just gitaly, or gitlab-shell.

If you would prefer it that way, I can open a new PR.
Comment 8 commit-hook freebsd_committer 2020-10-07 09:30:56 UTC
A commit references this bug:

Author: mfechner
Date: Wed Oct  7 09:30:15 UTC 2020
New revision: 551623
URL: https://svnweb.freebsd.org/changeset/ports/551623

Log:
  Update location for depedency codahale:hdrhistogram.
  The source was moved from:
  https://github.com/codahale/hdrhistogram
  to
  https://github.com/HdrHistogram/hdrhistogram-go

  PR:		250140
  Reported by:	gergely.czuczy@harmless.hu

Changes:
  head/devel/gitlab-shell/Makefile
  head/devel/gitlab-shell/distinfo
  head/www/gitlab-workhorse/Makefile
  head/www/gitlab-workhorse/distinfo
Comment 9 Matthias Fechner freebsd_committer 2020-10-07 09:34:31 UTC
(In reply to gergely.czuczy from comment #7)
Thanks, should now also be fixed.
Comment 10 commit-hook freebsd_committer 2020-10-07 12:47:30 UTC
A commit references this bug:

Author: mfechner
Date: Wed Oct  7 12:46:36 UTC 2020
New revision: 551633
URL: https://svnweb.freebsd.org/changeset/ports/551633

Log:
  MFH: r551560 r551623

  Update location for depedency codahale:hdrhistogram.
  The source was moved from:
  https://github.com/codahale/hdrhistogram
  to
  https://github.com/HdrHistogram/hdrhistogram-go

  PR:		250140
  Reported by:	hakan@siktas.com

  Update location for depedency codahale:hdrhistogram.
  The source was moved from:
  https://github.com/codahale/hdrhistogram
  to
  https://github.com/HdrHistogram/hdrhistogram-go

  PR:		250140
  Reported by:	gergely.czuczy@harmless.hu

  Approved by:	ports-secteam (fluffy)

Changes:
_U  branches/2020Q4/
  branches/2020Q4/devel/gitaly/Makefile
  branches/2020Q4/devel/gitaly/distinfo
  branches/2020Q4/devel/gitlab-shell/Makefile
  branches/2020Q4/devel/gitlab-shell/distinfo
  branches/2020Q4/www/gitlab-workhorse/Makefile
  branches/2020Q4/www/gitlab-workhorse/distinfo
Comment 11 commit-hook freebsd_committer 2020-10-07 12:47:31 UTC
A commit references this bug:

Author: mfechner
Date: Wed Oct  7 12:46:36 UTC 2020
New revision: 551633
URL: https://svnweb.freebsd.org/changeset/ports/551633

Log:
  MFH: r551560 r551623

  Update location for depedency codahale:hdrhistogram.
  The source was moved from:
  https://github.com/codahale/hdrhistogram
  to
  https://github.com/HdrHistogram/hdrhistogram-go

  PR:		250140
  Reported by:	hakan@siktas.com

  Update location for depedency codahale:hdrhistogram.
  The source was moved from:
  https://github.com/codahale/hdrhistogram
  to
  https://github.com/HdrHistogram/hdrhistogram-go

  PR:		250140
  Reported by:	gergely.czuczy@harmless.hu

  Approved by:	ports-secteam (fluffy)

Changes:
_U  branches/2020Q4/
  branches/2020Q4/devel/gitaly/Makefile
  branches/2020Q4/devel/gitaly/distinfo
  branches/2020Q4/devel/gitlab-shell/Makefile
  branches/2020Q4/devel/gitlab-shell/distinfo
  branches/2020Q4/www/gitlab-workhorse/Makefile
  branches/2020Q4/www/gitlab-workhorse/distinfo
Comment 12 gergely.czuczy 2020-10-07 18:35:03 UTC
The complete package built just fine, thank you for fixing it.